STOFFSpreadsheetEncoder Class Reference documentation

STOFFSpreadsheetEncoder Class Reference

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <STOFFSpreadsheetEncoder.hxx>`

Inheritance diagram for STOFFSpreadsheetEncoder:

## Public Member Functions
| STOFFSpreadsheetEncoder ()
| constructor
| ~STOFFSpreadsheetEncoder ()
| destructor
bool | getBinaryResult (STOFFEmbeddedObject &object)
| return the final spreadsheet
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
void | startDocument (const librevenge::RVNGPropertyList &propList)
void | endDocument ()
void | definePageStyle (const librevenge::RVNGPropertyList &propList)
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | openPageSpan (const librevenge::RVNGPropertyList &propList)
void | closePageSpan ()
void | openHeader (const librevenge::RVNGPropertyList &propList)
void | closeHeader ()
void | openFooter (const librevenge::RVNGPropertyList &propList)
void | closeFooter ()
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList)
void | openSheet (const librevenge::RVNGPropertyList &propList)
void | closeSheet ()
void | openSheetRow (const librevenge::RVNGPropertyList &propList)
void | closeSheetRow ()
void | openSheetCell (const librevenge::RVNGPropertyList &propList)
void | closeSheetCell ()
void | defineChartStyle (const librevenge::RVNGPropertyList &propList)
void | openChart (const librevenge::RVNGPropertyList &propList)
void | closeChart ()
void | openChartTextObject (const librevenge::RVNGPropertyList &propList)
void | closeChartTextObject ()
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList)
void | closeChartPlotArea ()
void | insertChartAxis (const librevenge::RVNGPropertyList &axis)
void | openChartSerie (const librevenge::RVNGPropertyList &series)
void | closeChartSerie ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList)
void | openSection (const librevenge::RVNGPropertyList &propList)
void | closeSection ()
void | insertTab ()
void | insertSpace ()
void | insertText (const librevenge::RVNGString &text)
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | openFootnote (const librevenge::RVNGPropertyList &propList)
void | closeFootnote ()
void | openComment (const librevenge::RVNGPropertyList &propList)
void | closeComment ()
void | openFrame (const librevenge::RVNGPropertyList &propList)
void | closeFrame ()
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | openTextBox (const librevenge::RVNGPropertyList &propList)
void | closeTextBox ()
void | openTable (const librevenge::RVNGPropertyList &propList)
void | closeTable ()
void | openTableRow (const librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | openGroup (const librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)
void | drawRectangle (const librevenge::RVNGPropertyList &propList)
void | drawEllipse (const librevenge::RVNGPropertyList &propList)
void | drawPolygon (const librevenge::RVNGPropertyList &propList)
void | drawPolyline (const librevenge::RVNGPropertyList &propList)
void | drawPath (const librevenge::RVNGPropertyList &propList)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | insertEquation (const librevenge::RVNGPropertyList &propList)

## Protected Attributes
shared_ptr< STOFFSpreadsheetEncoderInternal::State > | m_state
| the actual state

## Detailed Description

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData.

See also
  STOFFSpreadsheetDecoder can be used to decode back the spreadsheet...

      \note as this class implements the functions librevenge::RVNGSpreadsheetInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

## ◆ STOFFSpreadsheetEncoder()

STOFFSpreadsheetEncoder::STOFFSpreadsheetEncoder | ( |  | ) |

constructor

## ◆ ~STOFFSpreadsheetEncoder()

STOFFSpreadsheetEncoder::~STOFFSpreadsheetEncoder | ( |  | ) |

destructor

## Member Function Documentation

## ◆ closeChart()

void STOFFSpreadsheetEncoder::closeChart | ( |  | ) |

## ◆ closeChartPlotArea()

void STOFFSpreadsheetEncoder::closeChartPlotArea | ( |  | ) |

## ◆ closeChartSerie()

void STOFFSpreadsheetEncoder::closeChartSerie | ( |  | ) |

## ◆ closeChartTextObject()

void STOFFSpreadsheetEncoder::closeChartTextObject | ( |  | ) |

## ◆ closeComment()

void STOFFSpreadsheetEncoder::closeComment | ( |  | ) |

## ◆ closeFooter()

void STOFFSpreadsheetEncoder::closeFooter | ( |  | ) |

## ◆ closeFootnote()

void STOFFSpreadsheetEncoder::closeFootnote | ( |  | ) |

## ◆ closeFrame()

void STOFFSpreadsheetEncoder::closeFrame | ( |  | ) |

## ◆ closeGroup()

void STOFFSpreadsheetEncoder::closeGroup | ( |  | ) |

## ◆ closeHeader()

void STOFFSpreadsheetEncoder::closeHeader | ( |  | ) |

## ◆ closeLink()

void STOFFSpreadsheetEncoder::closeLink | ( |  | ) |

## ◆ closeListElement()

void STOFFSpreadsheetEncoder::closeListElement | ( |  | ) |

## ◆ closeOrderedListLevel()

void STOFFSpreadsheetEncoder::closeOrderedListLevel | ( |  | ) |

## ◆ closePageSpan()

void STOFFSpreadsheetEncoder::closePageSpan | ( |  | ) |

## ◆ closeParagraph()

void STOFFSpreadsheetEncoder::closeParagraph | ( |  | ) |

## ◆ closeSection()

void STOFFSpreadsheetEncoder::closeSection | ( |  | ) |

## ◆ closeSheet()

void STOFFSpreadsheetEncoder::closeSheet | ( |  | ) |

## ◆ closeSheetCell()

void STOFFSpreadsheetEncoder::closeSheetCell | ( |  | ) |

## ◆ closeSheetRow()

void STOFFSpreadsheetEncoder::closeSheetRow | ( |  | ) |

## ◆ closeSpan()

void STOFFSpreadsheetEncoder::closeSpan | ( |  | ) |

## ◆ closeTable()

void STOFFSpreadsheetEncoder::closeTable | ( |  | ) |

## ◆ closeTableCell()

void STOFFSpreadsheetEncoder::closeTableCell | ( |  | ) |

## ◆ closeTableRow()

void STOFFSpreadsheetEncoder::closeTableRow | ( |  | ) |

## ◆ closeTextBox()

void STOFFSpreadsheetEncoder::closeTextBox | ( |  | ) |

## ◆ closeUnorderedListLevel()

void STOFFSpreadsheetEncoder::closeUnorderedListLevel | ( |  | ) |

## ◆ defineCharacterStyle()

void STOFFSpreadsheetEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineChartStyle()

void STOFFSpreadsheetEncoder::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineEmbeddedFont()

void STOFFSpreadsheetEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineGraphicStyle()

void STOFFSpreadsheetEncoder::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ definePageStyle()

void STOFFSpreadsheetEncoder::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineParagraphStyle()

void STOFFSpreadsheetEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineSectionStyle()

void STOFFSpreadsheetEncoder::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineSheetNumberingStyle()

void STOFFSpreadsheetEncoder::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawConnector()

void STOFFSpreadsheetEncoder::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawEllipse()

void STOFFSpreadsheetEncoder::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPath()

void STOFFSpreadsheetEncoder::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPolygon()

void STOFFSpreadsheetEncoder::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPolyline()

void STOFFSpreadsheetEncoder::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawRectangle()

void STOFFSpreadsheetEncoder::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ endDocument()

void STOFFSpreadsheetEncoder::endDocument | ( |  | ) |

## ◆ getBinaryResult()

bool STOFFSpreadsheetEncoder::getBinaryResult | ( | STOFFEmbeddedObject & | object | ) |

return the final spreadsheet

Referenced by StarFileManager::readOLEDirectory().

## ◆ insertBinaryObject()

void STOFFSpreadsheetEncoder::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertChartAxis()

void STOFFSpreadsheetEncoder::insertChartAxis | ( | const librevenge::RVNGPropertyList & | axis | ) |

## ◆ insertCoveredTableCell()

void STOFFSpreadsheetEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertEquation()

void STOFFSpreadsheetEncoder::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertField()

void STOFFSpreadsheetEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertLineBreak()

void STOFFSpreadsheetEncoder::insertLineBreak | ( |  | ) |

## ◆ insertSpace()

void STOFFSpreadsheetEncoder::insertSpace | ( |  | ) |

## ◆ insertTab()

void STOFFSpreadsheetEncoder::insertTab | ( |  | ) |

## ◆ insertText()

void STOFFSpreadsheetEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |

## ◆ openChart()

void STOFFSpreadsheetEncoder::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openChartPlotArea()

void STOFFSpreadsheetEncoder::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openChartSerie()

void STOFFSpreadsheetEncoder::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |

## ◆ openChartTextObject()

void STOFFSpreadsheetEncoder::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openComment()

void STOFFSpreadsheetEncoder::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openFooter()

void STOFFSpreadsheetEncoder::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openFootnote()

void STOFFSpreadsheetEncoder::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openFrame()

void STOFFSpreadsheetEncoder::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openGroup()

void STOFFSpreadsheetEncoder::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openHeader()

void STOFFSpreadsheetEncoder::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openLink()

void STOFFSpreadsheetEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openListElement()

void STOFFSpreadsheetEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openOrderedListLevel()

void STOFFSpreadsheetEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openPageSpan()

void STOFFSpreadsheetEncoder::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openParagraph()

void STOFFSpreadsheetEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSection()

void STOFFSpreadsheetEncoder::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSheet()

void STOFFSpreadsheetEncoder::openSheet | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSheetCell()

void STOFFSpreadsheetEncoder::openSheetCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSheetRow()

void STOFFSpreadsheetEncoder::openSheetRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSpan()

void STOFFSpreadsheetEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTable()

void STOFFSpreadsheetEncoder::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableCell()

void STOFFSpreadsheetEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableRow()

void STOFFSpreadsheetEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTextBox()

void STOFFSpreadsheetEncoder::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openUnorderedListLevel()

void STOFFSpreadsheetEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ setDocumentMetaData()

void STOFFSpreadsheetEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ startDocument()

void STOFFSpreadsheetEncoder::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

## ◆ m_state

shared_ptr<STOFFSpreadsheetEncoderInternal::State> STOFFSpreadsheetEncoder::m_state
| protected

the actual state

Referenced by closeChart(), closeChartPlotArea(), closeChartSerie(), closeChartTextObject(), closeComment(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSheet(), closeSheetCell(), closeSheetRow(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), defineSheetNumberingStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), getBinaryResult(), insertBinaryObject(), insertChartAxis(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openChart(), openChartPlotArea(), openChartSerie(), openChartTextObject(), openComment(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSheet(), openSheetCell(), openSheetRow(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), startDocument(), and STOFFSpreadsheetEncoder().

The documentation for this class was generated from the following files:

- STOFFSpreadsheetEncoder.hxx
- STOFFSpreadsheetEncoder.cxx